Class GroupsUpdateBuilder

java.lang.Object
com.dropbox.core.v2.team.GroupsUpdateBuilder

public class GroupsUpdateBuilder extends Object
The request builder returned by DbxTeamTeamRequests.groupsUpdateBuilder(com.dropbox.core.v2.team.GroupSelector).

Use this class to set optional request parameters and complete the request.

  • Method Details

    • withReturnMembers

      public GroupsUpdateBuilder withReturnMembers(Boolean returnMembers)
      Set value for optional field.

      If left unset or set to null, defaults to true.

      Parameters:
      returnMembers - Whether to return the list of members in the group. Note that the default value will cause all the group members to be returned in the response. This may take a long time for large groups. Defaults to true when set to null.
      Returns:
      this builder
    • withNewGroupName

      public GroupsUpdateBuilder withNewGroupName(String newGroupName)
      Set value for optional field.
      Parameters:
      newGroupName - Optional argument. Set group name to this if provided.
      Returns:
      this builder
    • withNewGroupExternalId

      public GroupsUpdateBuilder withNewGroupExternalId(String newGroupExternalId)
      Set value for optional field.
      Parameters:
      newGroupExternalId - Optional argument. New group external ID. If the argument is None, the group's external_id won't be updated. If the argument is empty string, the group's external id will be cleared.
      Returns:
      this builder
    • withNewGroupManagementType

      public GroupsUpdateBuilder withNewGroupManagementType(GroupManagementType newGroupManagementType)
      Set value for optional field.
      Parameters:
      newGroupManagementType - Set new group management type, if provided.
      Returns:
      this builder
    • start

      Issues the request.
      Throws:
      GroupUpdateErrorException
      DbxException